Error in Quake 2 when loading ref_glx.so for FC5 AMD64

Need help with one of the installers?
Post Reply
zurvan

Error in Quake 2 when loading ref_glx.so for FC5 AMD64

Post by zurvan » Tue Sep 26, 2006 14:20

Hi,

I have been trying to get quake 2 working for a while and have not had much sucess. To start with, my system specs are:
Fedora core 5
stock kernel 2.6.17-1.2187_FC5
nvidia GeForce 6800
nvidia driver version 1.0-8774
The version of quake 2 that I am working with is 3.21+r0.16.1.
The problem is this, after I installed quake 2, as root, with quake2_3.21-r0.16.1-english.run from the website here, I procceded to try to run the game as a user.
The result was the game crashed,

Code: Select all

/usr/local/games/quake2/quake2 +set vid_ref "glx" +set gl_driver "libGL.so" +set _windowed_mouse 1
Quake 2 -- Version 3.21+r0.16
using /home/zurvan/.quake2/baseq2/ for writing
couldn't exec default.cfg
execing config.cfg
Console initialized.

------- sound initialization -------
default: No such file or directory
SNDDMA_Init: Could not open default.
------- Loading ref_glx.so -------
LoadLibrary("ref_glx.so") failed: No such file or directory
------- Loading ref_softx.so -------
LoadLibrary("ref_softx.so") failed: No such file or directory
Refresh failed
recursive shutdown
Error: Couldn't fall back to software refresh!
After googling the error messages, I found that I needed to copy my libGL.so.1.2 file to the quake 2 directory, and rename the lib to ref_glx.so. After doing that, I got this error

Code: Select all

/usr/local/games/quake2/quake2.sh +set vid_ref glx +set gl_driver libGL.so +set _windowed_mouse 1
Error loading new keyboard description
-> Red  1.000, Green  1.000, Blue  1.000
<- Red  1.300, Green  1.300, Blue  1.300
Quake 2 -- Version 3.21+r0.16
Added packfile ./baseq2/pak0.pak (3307 files)
Added packfile ./baseq2/pak1.pak (279 files)
Added packfile ./baseq2/pak2.pak (2 files)
Added packfile ./baseq2/pak10.pak (806 files)
Added packfile ./baseq2/pak11.pak (47 files)
Added packfile ./baseq2/pak12.pak (79 files)
Added packfile ./baseq2/pak13.pak (16 files)
Added packfile ./baseq2/pak14.pak (46 files)
Added packfile ./baseq2/pak16.pak (30 files)
Added packfile ./baseq2/pak17.pak (22 files)
Added packfile ./baseq2/pak19.pak (13 files)
Added packfile ./baseq2/maxpak.pak (40 files)
using /home/zurvan/.quake2/baseq2/ for writing
execing default.cfg
execing config.cfg
Console initialized.

------- sound initialization -------
sound sampling rate: 11025
------------------------------------
------- Loading ref_glx.so -------
LoadLibrary("./ref_glx.so")
recursive shutdown
Error: dlsym failed on ref_glx.so
-> Red  1.300, Green  1.300, Blue  1.300
<- Red  1.000, Green  1.000, Blue  1.000
So, that is where I stand now. I can't seem to get quake 2 to either load the correct library or find the right file.
Does anyone have any suggestions?

-- Z

etlpkby

Post by etlpkby » Sun Mar 23, 2008 23:42

http://liflg.org/forum/viewtopic.php?p=5085#5085

See above.

I was getting your error message with Ubuntu 8.04 (Hardy Heron) alpha6 x86_64 distro. I tried to get it working by adding a symbolic link in the quake2 area created by Loki installers.

ref_glx.so -> /usr/lib/libGL.so.1

Then doing 'quake2 +set vid_ref glx' I get your dlsym error :(

Bypassing Loki installers for Quake2 and installing via Synaptic + original CD, I got it working. See that link above.

Since you posted back in 2006 - I doubt you'll see this post :roll: But this is for anyone else that wanders in here.

Post Reply